# --------------------------------------------------------------------------
#    "makeIntel64oapiWin.make" - build thermNASA
#                       (c) 2002-2025 by A. Miyoshi, Hiroshima  University
#                                       edited: May  26, 2015
#                                  last edited: Jan. 19, 2025
# --------------------------------------------------------------------------

# install directory
INSTDIR = ..
# executables
EXCTBL = thermList thermLi97 thermRead thermEquil

# ----- names of C++ and Fortran compilers and options -----------------
# ----- suggested names of C++ and Fortran compilers
#  GNU compiler                     .. g++, gfortran
#  Intel oneAPI(x64) for Win/Linux  .. icx/icpx, ifx
#  Intel compilers for Win/Linux    .. icl/icc, ifort
# ----- suggested optimization flags
#  Intel compilers for Windows      .. -O2
#  Others                           .. -O
# ----------------------------------------------------------------------

#CPCMP = g++ -O
CPCMP = icx -O2
#CPCMP = icpx -O
#CPCMP = icl -O2
#CPCMP = icc -O

# ----- 'remove' command -----------------------------------------------

#RM = rm -f
RM = del

# ----- file name extensions of object files ---------------------------

#XO = o
XO = obj

# ----- 'move' executables ---------------------------------------------

#MVEXEC = mv -f $(EXCTBL) $(INSTDIR)
MVEXEC = move /y *.exe $(INSTDIR)

# ===== no need to edit below in usual circumstances =======================

LIBOBJ = libfunc.$(XO) element.$(XO) thermNASA.$(XO)

all: thermList thermLi97 thermRead thermEquil

thermList : thermList.cc $(LIBOBJ)
	$(CPCMP) thermList.cc $(LIBOBJ) -o thermList

thermLi97 : thermLi97.cc $(LIBOBJ)
	$(CPCMP) thermLi97.cc $(LIBOBJ) -o thermLi97

thermRead : thermRead.cc $(LIBOBJ)
	$(CPCMP) thermRead.cc $(LIBOBJ) -o thermRead

thermEquil : thermEquil.cc $(LIBOBJ)
	$(CPCMP) thermEquil.cc $(LIBOBJ) -o thermEquil

libfunc.$(XO) : libfunc.cc libfunc.h
	$(CPCMP) -c libfunc.cc

element.$(XO) : element.cc element.h libfunc.h
	$(CPCMP) -c element.cc

thermNASA.$(XO) : thermNASA.cc thermNASA.h
	$(CPCMP) -c thermNASA.cc

clean:
	$(RM) *.$(XO)

install:
	$(MVEXEC)

